<?php
/*---------------------------------------------------------------*/
/*
    Titre : Lettres dominicales & Epacte julienne                                                                         
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=640
    Auteur           : developpeurweb                                                                                     
    Website auteur   : http://rodic.fr                                                                                    
    Date dition     : 02 Mai 2011                                                                                        
    Date mise  jour : 05 Sept 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/

    function est_bissextile($annee)
    {
        return date("m-d", strtotime("$annee-02-29")) == "02-29";
    }
    function lettres_dominicales($annee)
    {
        $lettres = array("A","B","C","D","E","F","G");
        $premier_janvier = (7  - date("w", strtotime("$annee-01-01"))) % 7;
        $premier_mars     = (10 - date("w", strtotime("$annee-03-01"))) % 7;
        return    est_bissextile($annee)
            ?    $lettres[$premier_janvier].$lettres[$premier_mars]
            :    $lettres[$premier_janvier]
            ;
    }
    function epacte_julienne($annee)
    {
        $valeurs = array(8, 19, 0, 11, 22, 3, 14, 25, 6, 17, 28, 9, 20, 1, 12, 
23, 4, 15, 26);
        return $valeurs[($annee+18) % 19];
    }
?>